Package org.eclipse.wst.xml.xpath.ui.views

## org.eclipse.wst.xml.xpath.ui.views
Class XPathNavigator.EditorReferenceLabelProvider

    package-private class XPathNavigator.EditorReferenceLabelProvider
    extends LabelProvider

## Field Summary

`public static char` | `DIRTY_INDICATOR` A string used to indicate that an editor is dirty

## Constructor Summary

`XPathNavigator.EditorReferenceLabelProvider()`

## Method Summary

`public Image` | `getImage(java.lang.Object element)`
`public java.lang.String` | `getText(java.lang.Object element)`

## Field Detail

## DIRTY_INDICATOR

`public static char DIRTY_INDICATOR`

A string used to indicate that an editor is dirty

## Constructor Detail

## XPathNavigator.EditorReferenceLabelProvider

`package-private XPathNavigator.EditorReferenceLabelProvider()`

## Methods Detail

## getImage

`public Image getImage(java.lang.Object element)`

### Parameters

`element`

### Returns

`Image`

## getText

`public java.lang.String getText(java.lang.Object element)`

### Parameters

`element`

### Returns

`java.lang.String`